DescriptorProtos.UninterpretedOption
Date: 2017-07-08

com.google.protobuf

## Class DescriptorProtos.UninterpretedOption

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - com.google.protobuf.DescriptorProtos.UninterpretedOption

- All Implemented Interfaces:
    DescriptorProtos.UninterpretedOptionOrBuilder, Message, MessageLite, MessageLiteOrBuilder, MessageOrBuilder, java.io.Serializable
  Enclosing class:
    DescriptorProtos

      public static final class DescriptorProtos.UninterpretedOption
      extends GeneratedMessageV3
      implements DescriptorProtos.UninterpretedOptionOrBuilder

       A message representing a option the parser does not recognize. This only
       appears in options protos created by the compiler::Parser class.
       DescriptorPool resolves these when building Descriptor objects. Therefore,
       options protos in descriptor objects (e.g. returned by Descriptor::options(),
       or produced by Descriptor::CopyTo()) will never have UninterpretedOptions
       in them.

  Protobuf type `google.protobuf.UninterpretedOption`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DescriptorProtos.UninterpretedOption.Builder` A message representing a option the parser does not recognize.
    `static class` | `DescriptorProtos.UninterpretedOption.NamePart` The name of the uninterpreted option.
    `static interface` | `DescriptorProtos.UninterpretedOption.NamePartOrBuilder`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

      `GeneratedMessageV3.BuilderParent, GeneratedMessageV3.ExtendableBuilder<MessageType extends GeneratedMessageV3.ExtendableMessage,BuilderType extends GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, GeneratedMessageV3.ExtendableMessage<MessageType extends GeneratedMessageV3.ExtendableMessage>, GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends GeneratedMessageV3.ExtendableMessage>, GeneratedMessageV3.FieldAccessorTable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AGGREGATE_VALUE_FIELD_NUMBER`
    `static int` | `DOUBLE_VALUE_FIELD_NUMBER`
    `static int` | `IDENTIFIER_VALUE_FIELD_NUMBER`
    `static int` | `NAME_FIELD_NUMBER`
    `static int` | `NEGATIVE_INT_VALUE_FIELD_NUMBER`
    `static Parser<DescriptorProtos.UninterpretedOption>` | `PARSER` Deprecated.
    `static int` | `POSITIVE_INT_VALUE_FIELD_NUMBER`
    `static int` | `STRING_VALUE_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Compares the specified object with this message for equality.
    `java.lang.String` | `getAggregateValue()` `optional string aggregate_value = 8;`
    `ByteString` | `getAggregateValueBytes()` `optional string aggregate_value = 8;`
    `static DescriptorProtos.UninterpretedOption` | `getDefaultInstance()`
    `DescriptorProtos.UninterpretedOption` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `static Descriptors.Descriptor` | `getDescriptor()`
    `double` | `getDoubleValue()` `optional double double_value = 6;`
    `java.lang.String` | `getIdentifierValue()` The value of the uninterpreted option, in whatever type the tokenizer identified it as during parsing.
    `ByteString` | `getIdentifierValueBytes()` The value of the uninterpreted option, in whatever type the tokenizer identified it as during parsing.
    `DescriptorProtos.UninterpretedOption.NamePart` | `getName(int index)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `int` | `getNameCount()` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `java.util.List<DescriptorProtos.UninterpretedOption.NamePart>` | `getNameList()` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `DescriptorProtos.UninterpretedOption.NamePartOrBuilder` | `getNameOrBuilder(int index)` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `java.util.List<? extends DescriptorProtos.UninterpretedOption.NamePartOrBuilder>` | `getNameOrBuilderList()` `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
    `long` | `getNegativeIntValue()` `optional int64 negative_int_value = 5;`
    `Parser<DescriptorProtos.UninterpretedOption>` | `getParserForType()` Gets the parser for a message of the same type as this message.
    `long` | `getPositiveIntValue()` `optional uint64 positive_int_value = 4;`
    `int` | `getSerializedSize()` Get the number of bytes required to encode this message.
    `ByteString` | `getStringValue()` `optional bytes string_value = 7;`
    `UnknownFieldSet` | `getUnknownFields()` Get the `UnknownFieldSet` for this message.
    `boolean` | `hasAggregateValue()` `optional string aggregate_value = 8;`
    `boolean` | `hasDoubleValue()` `optional double double_value = 6;`
    `int` | `hashCode()` Returns the hash code value for this message.
    `boolean` | `hasIdentifierValue()` The value of the uninterpreted option, in whatever type the tokenizer identified it as during parsing.
    `boolean` | `hasNegativeIntValue()` `optional int64 negative_int_value = 5;`
    `boolean` | `hasPositiveIntValue()` `optional uint64 positive_int_value = 4;`
    `boolean` | `hasStringValue()` `optional bytes string_value = 7;`
    `protected GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
    `static DescriptorProtos.UninterpretedOption.Builder` | `newBuilder()`
    `static DescriptorProtos.UninterpretedOption.Builder` | `newBuilder(DescriptorProtos.UninterpretedOption prototype)`
    `DescriptorProtos.UninterpretedOption.Builder` | `newBuilderForType()` Constructs a new builder for a message of the same type as this message.
    `protected DescriptorProtos.UninterpretedOption.Builder` | `newBuilderForType(GeneratedMessageV3.BuilderParent parent)` TODO(xiaofeng): remove this together with GeneratedMessageV3.BuilderParent.
    `static DescriptorProtos.UninterpretedOption` | `parseDelimitedFrom(java.io.InputStream input)`
    `static DescriptorProtos.UninterpretedOption` | `parseDelimitedFrom(java.io.InputStream input, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.UninterpretedOption` | `parseFrom(byte[] data)`
    `static DescriptorProtos.UninterpretedOption` | `parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.UninterpretedOption` | `parseFrom(java.nio.ByteBuffer data)`
    `static DescriptorProtos.UninterpretedOption` | `parseFrom(java.nio.ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.UninterpretedOption` | `parseFrom(ByteString data)`
    `static DescriptorProtos.UninterpretedOption` | `parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.UninterpretedOption` | `parseFrom(CodedInputStream input)`
    `static DescriptorProtos.UninterpretedOption` | `parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
    `static DescriptorProtos.UninterpretedOption` | `parseFrom(java.io.InputStream input)`
    `static DescriptorProtos.UninterpretedOption` | `parseFrom(java.io.InputStream input, ExtensionRegistryLite extensionRegistry)`
    `static Parser<DescriptorProtos.UninterpretedOption>` | `parser()`
    `DescriptorProtos.UninterpretedOption.Builder` | `toBuilder()` Constructs a builder initialized with the current message.
    `void` | `writeTo(CodedOutputStream output)` Serializes the message and writes it to `output`.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

      `computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### NAME_FIELD_NUMBER

          public static final int NAME_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### IDENTIFIER_VALUE_FIELD_NUMBER

          public static final int IDENTIFIER_VALUE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### POSITIVE_INT_VALUE_FIELD_NUMBER

          public static final int POSITIVE_INT_VALUE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### NEGATIVE_INT_VALUE_FIELD_NUMBER

          public static final int NEGATIVE_INT_VALUE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### DOUBLE_VALUE_FIELD_NUMBER

          public static final int DOUBLE_VALUE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### STRING_VALUE_FIELD_NUMBER

          public static final int STRING_VALUE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### AGGREGATE_VALUE_FIELD_NUMBER

          public static final int AGGREGATE_VALUE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PARSER

          @Deprecated
          public static final Parser<DescriptorProtos.UninterpretedOption> PARSER

      Deprecated.

  - ### Method Detail

    - #### getUnknownFields

          public final UnknownFieldSet getUnknownFields()

      Description copied from interface: `MessageOrBuilder`
      Get the `UnknownFieldSet` for this message.
      Specified by:
        `getUnknownFields` in interface `MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `GeneratedMessageV3`

    - #### getDescriptor

          public static final Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Description copied from class: `GeneratedMessageV3`
      Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.
      Specified by:
        `internalGetFieldAccessorTable` in class `GeneratedMessageV3`

    - #### getNameList

          public java.util.List<DescriptorProtos.UninterpretedOption.NamePart> getNameList()

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
      Specified by:
        `getNameList` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getNameOrBuilderList

          public java.util.List<? extends DescriptorProtos.UninterpretedOption.NamePartOrBuilder> getNameOrBuilderList()

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
      Specified by:
        `getNameOrBuilderList` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getNameCount

          public int getNameCount()

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
      Specified by:
        `getNameCount` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getName

          public DescriptorProtos.UninterpretedOption.NamePart getName(int index)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
      Specified by:
        `getName` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getNameOrBuilder

          public DescriptorProtos.UninterpretedOption.NamePartOrBuilder getNameOrBuilder(int index)

      `repeated .google.protobuf.UninterpretedOption.NamePart name = 2;`
      Specified by:
        `getNameOrBuilder` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### hasIdentifierValue

          public boolean hasIdentifierValue()

           The value of the uninterpreted option, in whatever type the tokenizer
           identified it as during parsing. Exactly one of these should be set.

      `optional string identifier_value = 3;`
      Specified by:
        `hasIdentifierValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getIdentifierValue

          public java.lang.String getIdentifierValue()

           The value of the uninterpreted option, in whatever type the tokenizer
           identified it as during parsing. Exactly one of these should be set.

      `optional string identifier_value = 3;`
      Specified by:
        `getIdentifierValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getIdentifierValueBytes

          public ByteString getIdentifierValueBytes()

           The value of the uninterpreted option, in whatever type the tokenizer
           identified it as during parsing. Exactly one of these should be set.

      `optional string identifier_value = 3;`
      Specified by:
        `getIdentifierValueBytes` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### hasPositiveIntValue

          public boolean hasPositiveIntValue()

      `optional uint64 positive_int_value = 4;`
      Specified by:
        `hasPositiveIntValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getPositiveIntValue

          public long getPositiveIntValue()

      `optional uint64 positive_int_value = 4;`
      Specified by:
        `getPositiveIntValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### hasNegativeIntValue

          public boolean hasNegativeIntValue()

      `optional int64 negative_int_value = 5;`
      Specified by:
        `hasNegativeIntValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getNegativeIntValue

          public long getNegativeIntValue()

      `optional int64 negative_int_value = 5;`
      Specified by:
        `getNegativeIntValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### hasDoubleValue

          public boolean hasDoubleValue()

      `optional double double_value = 6;`
      Specified by:
        `hasDoubleValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getDoubleValue

          public double getDoubleValue()

      `optional double double_value = 6;`
      Specified by:
        `getDoubleValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### hasStringValue

          public boolean hasStringValue()

      `optional bytes string_value = 7;`
      Specified by:
        `hasStringValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getStringValue

          public ByteString getStringValue()

      `optional bytes string_value = 7;`
      Specified by:
        `getStringValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### hasAggregateValue

          public boolean hasAggregateValue()

      `optional string aggregate_value = 8;`
      Specified by:
        `hasAggregateValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getAggregateValue

          public java.lang.String getAggregateValue()

      `optional string aggregate_value = 8;`
      Specified by:
        `getAggregateValue` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### getAggregateValueBytes

          public ByteString getAggregateValueBytes()

      `optional string aggregate_value = 8;`
      Specified by:
        `getAggregateValueBytes` in interface `DescriptorProtos.UninterpretedOptionOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `MessageLiteOrBuilder`
      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`

      Specified by:
        `isInitialized` in interface `MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `GeneratedMessageV3`

    - #### writeTo

          public void writeTo(CodedOutputStream output)
                       throws java.io.IOException

      Description copied from interface: `MessageLite`
      Serializes the message and writes it to `output`. This does not flush or close the stream.
      Specified by:
        `writeTo` in interface `MessageLite`
      Overrides:
        `writeTo` in class `GeneratedMessageV3`
      Throws:
        `java.io.IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Description copied from interface: `MessageLite`
      Get the number of bytes required to encode this message. The result is only computed on the first call and memoized after that.
      Specified by:
        `getSerializedSize` in interface `MessageLite`
      Overrides:
        `getSerializedSize` in class `GeneratedMessageV3`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Description copied from interface: `Message`
      Compares the specified object with this message for equality. Returns `true` if the given object is a message of the same type (as defined by `getDescriptorForType()`) and has identical values for all of its fields. Subclasses must implement this; inheriting `Object.equals()` is incorrect.
      Specified by:
        `equals` in interface `Message`
      Overrides:
        `equals` in class `AbstractMessage`
      Parameters:
        `obj` - object to be compared for equality with this message
      Returns:
        `true` if the specified object is equal to this message

    - #### hashCode

          public int hashCode()

      Description copied from interface: `Message`
      Returns the hash code value for this message. The hash code of a message should mix the message's type (object identity of the descriptor) with its contents (known and unknown field values). Subclasses must implement this; inheriting `Object.hashCode()` is incorrect.
      Specified by:
        `hashCode` in interface `Message`
      Overrides:
        `hashCode` in class `AbstractMessage`
      Returns:
        the hash code value for this message
      See Also:
        `Map.hashCode()`

    - #### parseFrom

          public static DescriptorProtos.UninterpretedOption parseFrom(java.nio.ByteBuffer data)
                                                                throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.UninterpretedOption parseFrom(java.nio.ByteBuffer data,
                                                       ExtensionRegistryLite extensionRegistry)
                                                                throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.UninterpretedOption parseFrom(ByteString data)
                                                                throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.UninterpretedOption parseFrom(ByteString data,
                                                       ExtensionRegistryLite extensionRegistry)
                                                                throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.UninterpretedOption parseFrom(byte[] data)
                                                                throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.UninterpretedOption parseFrom(byte[] data,
                                                       ExtensionRegistryLite extensionRegistry)
                                                                throws InvalidProtocolBufferException

      Throws:
        `InvalidProtocolBufferException`

    - #### parseFrom

          public static DescriptorProtos.UninterpretedOption parseFrom(java.io.InputStream input)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static DescriptorProtos.UninterpretedOption parseFrom(java.io.InputStream input,
                                                       ExtensionRegistryLite extensionRegistry)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static DescriptorProtos.UninterpretedOption parseDelimitedFrom(java.io.InputStream input)
                                                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseDelimitedFrom

          public static DescriptorProtos.UninterpretedOption parseDelimitedFrom(java.io.InputStream input,
                                                                ExtensionRegistryLite extensionRegistry)
                                                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static DescriptorProtos.UninterpretedOption parseFrom(CodedInputStream input)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseFrom

          public static DescriptorProtos.UninterpretedOption parseFrom(CodedInputStream input,
                                                       ExtensionRegistryLite extensionRegistry)
                                                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### newBuilderForType

          public DescriptorProtos.UninterpretedOption.Builder newBuilderForType()

      Description copied from interface: `MessageLite`
      Constructs a new builder for a message of the same type as this message.
      Specified by:
        `newBuilderForType` in interface `Message`
      Specified by:
        `newBuilderForType` in interface `MessageLite`

    - #### newBuilder

          public static DescriptorProtos.UninterpretedOption.Builder newBuilder()

    - #### newBuilder

          public static DescriptorProtos.UninterpretedOption.Builder newBuilder(DescriptorProtos.UninterpretedOption prototype)

    - #### toBuilder

          public DescriptorProtos.UninterpretedOption.Builder toBuilder()

      Description copied from interface: `MessageLite`
      Constructs a builder initialized with the current message. Use this to derive a new message from the current one.
      Specified by:
        `toBuilder` in interface `Message`
      Specified by:
        `toBuilder` in interface `MessageLite`

    - #### newBuilderForType

          protected DescriptorProtos.UninterpretedOption.Builder newBuilderForType(GeneratedMessageV3.BuilderParent parent)

      Description copied from class: `GeneratedMessageV3`
      TODO(xiaofeng): remove this together with GeneratedMessageV3.BuilderParent.
      Specified by:
        `newBuilderForType` in class `GeneratedMessageV3`

    - #### getDefaultInstance

          public static DescriptorProtos.UninterpretedOption getDefaultInstance()

    - #### parser

          public static Parser<DescriptorProtos.UninterpretedOption> parser()

    - #### getParserForType

          public Parser<DescriptorProtos.UninterpretedOption> getParserForType()

      Description copied from interface: `MessageLite`
      Gets the parser for a message of the same type as this message.
      Specified by:
        `getParserForType` in interface `Message`
      Specified by:
        `getParserForType` in interface `MessageLite`
      Overrides:
        `getParserForType` in class `GeneratedMessageV3`

    - #### getDefaultInstanceForType

          public DescriptorProtos.UninterpretedOption getDefaultInstanceForType()

      Description copied from interface: `MessageLiteOrBuilder`
      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.
      Specified by:
        `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageOrBuilder`